Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MSHPPF Class Reference

`#include <MSHSinglePlayerPercept.h>`

List of all members.

## Static Public Attributes
const unsigned int | clear = 0x00000000
const unsigned int | outOfField = 0x00000001
const unsigned int | wrongSize = 0x00000002
const unsigned int | fewTrickot = 0x00000004
const unsigned int | tooMuchWhite = 0x00000008
const unsigned int | tooMuchGreen = 0x00000010
const unsigned int | tooMuchSkyBlue = 0x00000011
const unsigned int | tooMuchOrange = 0x00000012
const unsigned int | fewBrightnessChange = 0x00000014
const unsigned int | numOfFlags = 8

## Member Data Documentation

const unsigned int MSHPPF::clear = 0x00000000`[static]`

| Definition at line 16 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::outOfField = 0x00000001`[static]`

| Definition at line 17 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::wrongSize = 0x00000002`[static]`

| Definition at line 18 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::fewTrickot = 0x00000004`[static]`

| Definition at line 19 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::tooMuchWhite = 0x00000008`[static]`

| Definition at line 20 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::tooMuchGreen = 0x00000010`[static]`

| Definition at line 21 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::tooMuchSkyBlue = 0x00000011`[static]`

| Definition at line 22 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::tooMuchOrange = 0x00000012`[static]`

| Definition at line 23 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::fewBrightnessChange = 0x00000014`[static]`

| Definition at line 24 of file MSHSinglePlayerPercept.h.

const unsigned int MSHPPF::numOfFlags = 8`[static]`

| Definition at line 25 of file MSHSinglePlayerPercept.h.

The documentation for this class was generated from the following file:

- Representations/Perception/MSHSinglePlayerPercept.h